> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/de/entwicklerressourcen/api-docs/vector-store/get-a-list-of-documents-in-a-vector-store.md).

# Liste der Dokumente in einem Vektor-Speicher abrufen

{% openapi src="/files/ruiFvGmmJmrVu2Iycaim" path="/vector-stores/{vector-store-id}/documents" method="get" %}
[rememberizer\_openapi.yml](https://2490272757-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fx5M0COIHmFFlpJ9e5pvp%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=22d7ca07-e3b4-475f-840e-857109bf09bc)
{% endopenapi %}

## Beispielanfragen

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/vector-stores/vs_abc123/documents \
  -H "x-api-key: IHR_API_SCHLÜSSEL"
```

{% hint style="info" %}
Ersetzen Sie `IHR_API_SCHLÜSSEL` durch Ihren tatsächlichen API-Schlüssel für den Vector Store und `vs_abc123` durch Ihre Vector Store-ID.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getVectorStoreDocuments = async (vectorStoreId) => {
  const response = await fetch(`https://api.rememberizer.ai/api/v1/vector-stores/${vectorStoreId}/documents`, {
    method: 'GET',
    headers: {
      'x-api-key': 'IHR_API_SCHLÜSSEL'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getVectorStoreDocuments('vs_abc123');
```

{% hint style="info" %}
Ersetzen Sie `IHR_API_SCHLÜSSEL` durch Ihren tatsächlichen API-Schlüssel für den Vector Store und `vs_abc123` durch Ihre Vector Store-ID.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_vector_store_documents(vector_store_id):
    headers = {
        "x-api-key": "IHR_API_SCHLÜSSEL"
    }
    
    response = requests.get(
        f"https://api.rememberizer.ai/api/v1/vector-stores/{vector_store_id}/documents",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_vector_store_documents('vs_abc123')
```

{% hint style="info" %}
Ersetzen Sie `IHR_API_SCHLÜSSEL` durch Ihren tatsächlichen API-Schlüssel für den Vector Store und `vs_abc123` durch Ihre Vector Store-ID.
{% endhint %}
{% endtab %}
{% endtabs %}

## Pfadparameter

| Parameter       | Typ    | Beschreibung                                                                                |
| --------------- | ------ | ------------------------------------------------------------------------------------------- |
| vector-store-id | string | **Erforderlich.** Die ID des Vektor-Speichers, aus dem Dokumente aufgelistet werden sollen. |

## Antwortformat

```json
[
  {
    "id": 1234,
    "name": "Produktanleitung.pdf",
    "type": "application/pdf",
    "vector_store": "vs_abc123",
    "size": 250000,
    "status": "indiziert",
    "processing_status": "abgeschlossen",
    "indexed_on": "2023-06-15T10:30:00Z",
    "status_error_message": null,
    "created": "2023-06-15T10:15:00Z",
    "modified": "2023-06-15T10:30:00Z"
  },
  {
    "id": 1235,
    "name": "Technische Spezifikationen.docx",
    "type": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
    "vector_store": "vs_abc123",
    "size": 125000,
    "status": "indiziert",
    "processing_status": "abgeschlossen",
    "indexed_on": "2023-06-15T11:45:00Z",
    "status_error_message": null,
    "created": "2023-06-15T11:30:00Z",
    "modified": "2023-06-15T11:45:00Z"
  }
]
```

## Authentifizierung

Dieser Endpunkt erfordert eine Authentifizierung mit einem API-Schlüssel im `x-api-key`-Header.

## Fehlerantworten

| Statuscode | Beschreibung                                            |
| ---------- | ------------------------------------------------------- |
| 401        | Unautorisiert - Ungültiger oder fehlender API-Schlüssel |
| 404        | Nicht gefunden - Vektor-Store nicht gefunden            |
| 500        | Interner Serverfehler                                   |

Dieser Endpunkt ruft eine Liste aller Dokumente ab, die im angegebenen Vektor-Store gespeichert sind. Er liefert Metadaten zu jedem Dokument, einschließlich des Verarbeitungsstatus, der Größe und des indizierten Zeitstempels des Dokuments. Diese Informationen sind nützlich, um den Inhalt Ihres Vektor-Stores zu überwachen und den Verarbeitungsstatus der Dokumente zu überprüfen.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rememberizer.ai/de/entwicklerressourcen/api-docs/vector-store/get-a-list-of-documents-in-a-vector-store.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
